Skip to main content
GET
/
api
/
syncs
List Syncs
curl --request GET \
  --url https://sync.useparagon.com/api/syncs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "integration": "<string>",
      "pipeline": "<string>",
      "status": "INITIALIZING",
      "reason": "Credential ID [id] is no longer valid or has been deleted.",
      "configurationName": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "credentialId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Paragon User Token. Add to the Authorization header of your requests.

Query Parameters

credentialId
string

Filter syncs by credential UUID. Use this to list syncs for a specific credential when you have multiple credentials for the same integration.

Response

200 - application/json

List of Syncs

data
object[]